//------------------------------------------------------------------------------
//
//  npckeys.c
//  npe
//
//  Created by Shane Saxon on 2/19/10.
//  Copyright Saxon Digital 2010. All rights reserved.
//
//------------------------------------------------------------------------------

#include "../npdata.h"
#include "../npio.h"
#include "npckeys.h"



//------------------------------------------------------------------------------
void npInitCtrlKeys (void* data)
{
/*	int i, j;
	
	keys.upperCase = FALSE;						//should reset caps lock key, debug
	
	keys.altColor = 0;
	
	data->ctrl.mouseTrapSensitivity = 64;
	data->ctrl.mouseMotorSensitivity = 64;
	
	for (i = 0; i < kKeyEventTypeSize; i++)
		for (j = 0; j < kKeyMapSize; j++)
			keyMap[i][j] = 0;
			

	//the key map defines which command to execute for each key event
	//three fundamental types of keys are toggle, momentary, repeating
	//four event types generated, keyDown, KeyRepeat, KeyUp, KeyModifier
	
	//Fire keys, respond to keyDown only
	keyMap[kKeyDown][kKeyCodeTilda] = kGraphClear;
	keyMap[kKeyDown][kKeyCodeB] = kGraphClearFrameBuffer;
	keyMap[kKeyDown][kKeyCodeG] = kGraphGrid;

	keyMap[kKeyDown][kKeyCodeC] = kGraphCenter;
	keyMap[kKeyDown][kKeyCodeX] = kGraphScroll;
	keyMap[kKeyDown][kKeyCodeL] = kGraphLines;
	keyMap[kKeyDown][kKeyCodeP] = kGraphPoints;
	keyMap[kKeyDown][kKeyCodeU] = kGraphDrawPullLimits;
	keyMap[kKeyDown][kKeyCodeF] = kGraphFreeze;
	keyMap[kKeyDown][kKeyCodeH] = kGraphHide;
	keyMap[kKeyDown][kKeyCodeX] = kGraphSelectAxes;
	keyMap[kKeyDown][kKeyCodeT] = kGraphSampleInterval;
	keyMap[kKeyDown][kKeyCodeI] = kGraphDrawIndicators;

	keyMap[kKeyDown][kKeyCodeZero] = kEventGotoZero;
	keyMap[kKeyDown][kKeyCodeOne] = kEventGotoOne;
	keyMap[kKeyDown][kKeyCodeTwo] = kEventGotoTwo;
	keyMap[kKeyDown][kKeyCodeThree] = kEventGotoThree;
	keyMap[kKeyDown][kKeyCodeFour] = kEventGotoFour;
	keyMap[kKeyDown][kKeyCodeFive] =kEventGotoFive;
	keyMap[kKeyDown][kKeyCodeSix] = kEventGotoSix;
	keyMap[kKeyDown][kKeyCodeSeven] = kEventGotoSeven;
	keyMap[kKeyDown][kKeyCodeEight] = kEventGotoEight;
	keyMap[kKeyDown][kKeyCodeNine] =kEventGotoNine;

	keyMap[kKeyDown][kKeyCodeJ] = kEventAdjustForceRateDiv;
	keyMap[kKeyDown][kKeyCodeK] = kEventAdjustForceGain;
	keyMap[kKeyDown][kKeyCodeO] = kEventHostPositionFeedback;
	
	
	keyMap[kKeyDown][kKeyCodeLeftBracket] = kEventLowSetpoint;
	keyMap[kKeyDown][kKeyCodeRightBracket] = kEventHighSetpoint;
	
	//Repeat keys, don't usually respond to keyUp
	keyMap[kKeyDown][kKeyCodeEqual] = kGraphColorDown;		//reversed direction better for selectAll cycling
	keyMap[kKeyRepeat][kKeyCodeEqual] = kGraphColorDown;
	
	keyMap[kKeyDown][kKeyCodeMinus] = kGraphColorUp;
	keyMap[kKeyRepeat][kKeyCodeMinus] = kGraphColorUp;
	
	keyMap[kKeyDown][kKeyCodeComma] = kGraphChannelUp;		//reversed direction better for selectAll cycling
	keyMap[kKeyRepeat][kKeyCodeComma] = kGraphChannelUp;
	
	keyMap[kKeyDown][kKeyCodePeriod] = kGraphChannelDown;
	keyMap[kKeyRepeat][kKeyCodePeriod] = kGraphChannelDown;

	keyMap[kKeyDown][kKeyCodeTab] = kGraphNext;
	keyMap[kKeyRepeat][kKeyCodeTab] = kGraphNext;

	keyMap[kKeyDown][kKeyCodeN] = kGraphNew;
	keyMap[kKeyRepeat][kKeyCodeN] = kGraphNew;
	
	keyMap[kKeyDown][kKeyCodeDelete] = kGraphDelete;
	keyMap[kKeyRepeat][kKeyCodeDelete] = kGraphDelete;
	

	keyMap[kKeyDown][kKeyCodeArrowRight] = kEventMotorJogRight;
	keyMap[kKeyRepeat][kKeyCodeArrowRight] = kEventMotorJogRight;
		
	keyMap[kKeyDown][kKeyCodeArrowUp] = kEventMotorJogUp;
	keyMap[kKeyRepeat][kKeyCodeArrowUp] = kEventMotorJogUp;
	
	keyMap[kKeyDown][kKeyCodeArrowDown] = kEventMotorJogDown;
	keyMap[kKeyRepeat][kKeyCodeArrowDown] = kEventMotorJogDown;
	
	keyMap[kKeyDown][kKeyCodeArrowLeft] = kEventMotorJogLeft;
	keyMap[kKeyRepeat][kKeyCodeArrowLeft] = kEventMotorJogLeft;
	
	keyMap[kKeyDown][kKeyCodePageUp] = kEventMotorJogIn;
	keyMap[kKeyRepeat][kKeyCodePageUp] = kEventMotorJogIn;
	
	keyMap[kKeyDown][kKeyCodePageDown] = kEventMotorJogOut;
	keyMap[kKeyRepeat][kKeyCodePageDown] = kEventMotorJogOut;

	keyMap[kKeyDown][kKeyCodeEnd]	= kEventManualPause;
	
	keyMap[kKeyDown][kKeyCodeHome] = kEventManualReverse;
	
	//Arrow keys for X,Y,Z translate, rotate and scale of selected objects
	keyMap[kKeyDown][kKeyCodeA] = kGraphXdecrease;
	keyMap[kKeyUp][kKeyCodeA] = kGraphXdecreaseOff;
	keyMap[kKeyDown][kKeyCodeD] = kGraphXincrease;
	keyMap[kKeyUp][kKeyCodeD] = kGraphXincreaseOff;

	keyMap[kKeyDown][kKeyCodeS] = kGraphYdecrease;
	keyMap[kKeyUp][kKeyCodeS] = kGraphYdecreaseOff;
	keyMap[kKeyDown][kKeyCodeW] = kGraphYincrease;
	keyMap[kKeyUp][kKeyCodeW] = kGraphYincreaseOff;

	//for rotating
	keyMap[kKeyDown][kKeyCodeE] = kGraphRotateIncreaseOn;
	keyMap[kKeyUp][kKeyCodeE] = kGraphRotateIncreaseOff;
	keyMap[kKeyDown][kKeyCodeQ] = kGraphRotateDecreaseOn;
	keyMap[kKeyUp][kKeyCodeQ] = kGraphRotateDecreaseOff;
	
	//Zooms by scaling the object
	keyMap[kKeyDown][kKeyCodeZ] = kGraphZoomOn;
	keyMap[kKeyUp][kKeyCodeZ] = kGraphZoomOff;
	
	keyMap[kKeyDown][kKeyCodeU] = kEventChangeWriteStatus;
	keyMap[kKeyDown][kKeyCodeY] = kEventChangeWriteSpeed;
	keyMap[kKeyDown][kKeyCodeSpace] = kEventShowTheTime;
	keyMap[kKeyDown][kKeyCodeSemiColon] = kEventYFeedbackOnly;

*/
}


//------------------------------------------------------------------------------
void npCloseCtrlKeys (void* data)
{
}